net.i2p.i2ptunnel

## Enum I2PTunnelHTTPClientBase.AuthResult

- java.lang.Object
- - java.lang.Enum<I2PTunnelHTTPClientBase.AuthResult>
  - - net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.AuthResult

- All Implemented Interfaces:
    Serializable, Comparable<I2PTunnelHTTPClientBase.AuthResult>
  Enclosing class:
    I2PTunnelHTTPClientBase

      protected static enum I2PTunnelHTTPClientBase.AuthResult
      extends Enum<I2PTunnelHTTPClientBase.AuthResult>

  Authentication result status for HTTP client connections

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH_BAD`
    `AUTH_BAD_REQ`
    `AUTH_GOOD`
    `AUTH_STALE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2PTunnelHTTPClientBase.AuthResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static I2PTunnelHTTPClientBase.AuthResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTH_BAD

          public static final I2PTunnelHTTPClientBase.AuthResult AUTH_BAD

    - #### AUTH_BAD_REQ

          public static final I2PTunnelHTTPClientBase.AuthResult AUTH_BAD_REQ

    - #### AUTH_GOOD

          public static final I2PTunnelHTTPClientBase.AuthResult AUTH_GOOD

    - #### AUTH_STALE

          public static final I2PTunnelHTTPClientBase.AuthResult AUTH_STALE

  - ### Method Detail

    - #### valueOf

          public static I2PTunnelHTTPClientBase.AuthResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static I2PTunnelHTTPClientBase.AuthResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2PTunnelHTTPClientBase.AuthResult c : I2PTunnelHTTPClientBase.AuthResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared